package com.brilliance.isc.common.bopset.service;


import com.brilliance.isc.bo.Dbl;
import com.brilliance.isc.bo.model.*;
import com.brilliance.isc.common.jshmod.common.Ctlset;
import com.brilliance.isc.common.jshmod.vo.Jshmod;
import com.brilliance.isc.vo.bop.BopActionTypeVo;

public interface CtlmodService {
    void bopGatStoreContract(Bopgat bopgat);

    void bopRemStoreContract(Boprem boprem);

    void bopPayStoreContract(Boppay boppay);

    String getTraTyp(String typ, String trntyp, String para);

    void setBopgatDblDat(Bopgat bopgat, String objtyp);

    void setBopremDblDat(Boprem boprem, String objtyp);

    void setBopPayDblDat(Boppay boppay, String objtyp);

    void bopStoreDBL(String transName, Ctlmod ctlmod, String reason);

    String setDectyp(String transName);

    Dbl setDblSta(String transName, BopActionTypeVo bopActionTypeVo, BopObjectType bopObjectType, Dbl dbl, Dbl wrkdbl);

    String bopSetDBLStatus(String transName, String typ, String actionType, BopObjectType bopObjectType, Dbl dbl, String oldfld);

    void setDblStatus(Jshmod jshmod, String typ);

    void jshStoreContract(Jshmod jshmod);

    void setDblData(String objtyp, Ctlset ctlmod, Object dbjwgrp);

    void jshStoreDBL(Ctlset ctlmod, String reason);

}
